Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
RecnoDatabaseConfig..::.Append Field
RecnoDatabaseConfig Class See Also Send Feedback

A function to call after the record number has been selected but before the data has been stored into the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public AppendRecordDelegate Append

Visual Basic (Declaration)
    Public Append As AppendRecordDelegate

Visual C++
    public:
    AppendRecordDelegate^ Append

# Remarks

When using Append(DatabaseEntry), it may be useful to modify the stored data based on the generated key. If a delegate is specified, it is called after the record number has been selected, but before the data has been stored.

# See Also

RecnoDatabaseConfig Class
BerkeleyDB Namespace